import { ObjectNode } from '../models';
import { ObjectNodeRepository } from '../repositories/object-node.repository';
import { CurrentContext } from '../services/application.service';
import { ObjectTreeService } from '../services/object-tree/object-tree.service';
import { ObjectTree } from './../models/object-tree.model';
export declare class ObjectTreeController {
    objectTreeService: ObjectTreeService;
    objectNodeRepository: ObjectNodeRepository;
    constructor(objectTreeService: ObjectTreeService, objectNodeRepository: ObjectNodeRepository);
    findChildrenNodes(treeId: string, ctx: CurrentContext): Promise<ObjectNode[]>;
    findChildren(treeId: string, ctx: CurrentContext): Promise<ObjectTree>;
    findOwnerNodes(ownerType: string, ownerName: string, ctx: CurrentContext): Promise<ObjectNode[]>;
    findOwnerTree(ownerType: string, ownerName: string, ctx: CurrentContext): Promise<ObjectTree>;
    findTreeNodes(ownerType: string, ownerName: string, namespaceType: string, namespaceName: string, treeType: string, treeName: string, ctx: CurrentContext): Promise<ObjectNode[]>;
    findTree(ownerType: string, ownerName: string, namespaceType: string, namespaceName: string, treeType: string, treeName: string, ctx: CurrentContext): Promise<ObjectTree>;
    findNamespaceNodes(ownerType: string, ownerName: string, namespaceType: string, namespaceName: string, ctx: CurrentContext): Promise<ObjectNode[]>;
    findNamespaceTree(ownerType: string, ownerName: string, namespaceType: string, namespaceName: string, ctx: CurrentContext): Promise<ObjectTree>;
}
