import { Interceptor, InvocationContext, InvocationResult, Provider, ValueOrPromise } from '@loopback/core';
import { EntityName } from './../models/entity-name';
export declare abstract class AbstractInterceptor implements Provider<Interceptor> {
    abstract value(): ValueOrPromise<Interceptor>;
    abstract intercept(invocationCtx: InvocationContext, next: () => ValueOrPromise<InvocationResult>): Promise<ValueOrPromise<InvocationResult>>;
    protected getUriParts(invocationCtx: InvocationContext): Promise<{
        baseUri: string;
        objectUri: string;
    }>;
    protected getEntityName(objectUri: string, baseUri: string): EntityName;
    protected getEntityUri(entityName: EntityName | string): string;
}
