import { IObjectSubType } from '@jacquesparis/objects-model';
import { DataEntity } from './data-entity.model';
import { ObjectTypeRelations } from './object-type.model';
export declare class ObjectSubType extends DataEntity implements IObjectSubType {
    name?: string;
    index?: number;
    min?: number;
    max?: number;
    owner?: boolean;
    acl?: boolean;
    tree?: boolean;
    namespace?: boolean;
    exclusions?: string[];
    mandatories?: string[];
    objectTypeId: string;
    subObjectTypeId: string;
    [prop: string]: any;
    constructor(data?: Partial<ObjectSubType>);
}
export interface ObjectSubTypeRelations {
    objectType: ObjectTypeRelations;
    subObjectType: ObjectTypeRelations;
}
export declare type ObjectSubTypeWithRelations = ObjectSubType & ObjectSubTypeRelations;
