"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectTree = void 0;
const acl_ctx_model_1 = require("./acl-ctx.model");
const entity_name_1 = require("./entity-name");
class ObjectTree {
    constructor(treeNode) {
        this.treeNode = treeNode;
        this.children = [];
        this.entityName = entity_name_1.EntityName.objectTree;
        this.aclCtx = new acl_ctx_model_1.AclCtx();
    }
    get childrenByObjectTypeId() {
        const result = {};
        for (const child of this.children) {
            if (!(child.treeNode.objectTypeId in result)) {
                result[child.treeNode.objectTypeId] = [];
            }
            result[child.treeNode.objectTypeId].push(child);
        }
        return result;
    }
    async init(allNodes, contentEntityService, objectTypes) {
        var _a;
        await contentEntityService.addTransientContent((_a = objectTypes[this.treeNode.objectTypeId]) === null || _a === void 0 ? void 0 : _a.contentType, this.treeNode);
        for (const otherNode of allNodes) {
            if (otherNode.parentNodeId === this.treeNode.id) {
                this.children.push(await new ObjectTree(otherNode).init(allNodes, contentEntityService, objectTypes));
            }
        }
        if (this.treeNode.tree) {
            this.id = this.treeNode.id;
        }
        return this;
    }
}
exports.ObjectTree = ObjectTree;
//# sourceMappingURL=object-tree.model.js.map