import { IJsonSchema, IObjectType } from '@jacquesparis/objects-model';
import { EntityName } from './entity-name';
import { ObjectSubType, ObjectSubTypeWithRelations } from './object-sub-type.model';
import { RestEntity } from './rest-entity.model';
export declare type ObjectContentType = string;
export declare class ObjectType extends RestEntity implements IObjectType {
    entityName: EntityName;
    name: string;
    contentType: ObjectContentType;
    definition: IJsonSchema;
    contentDefinition?: IJsonSchema;
    objectSubTypes: ObjectSubType[];
    [prop: string]: any;
    constructor(data?: Partial<ObjectType>);
}
export interface ObjectTypeRelations {
    objectSubTypes: ObjectSubTypeWithRelations[];
}
export declare type ObjectTypeWithRelations = ObjectType & ObjectTypeRelations;
