"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessRightTypeService = void 0;
const tslib_1 = require("tslib");
const authorization_1 = require("@loopback/authorization");
const core_1 = require("@loopback/core");
const acl_ctx_model_1 = require("./../../models/acl-ctx.model");
const entity_name_1 = require("./../../models/entity-name");
const access_rights_abtract_service_1 = require("./access-rights-abtract.service");
const access_rights_service_1 = require("./access-rights.service");
let AccessRightTypeService = class AccessRightTypeService extends access_rights_abtract_service_1.AccessRightAbstractService {
    constructor(accessRightsService) {
        super(accessRightsService, entity_name_1.EntityName.objectType);
        this.accessRightsService = accessRightsService;
    }
    async cleanReturnedEntity(entity, ctx) {
        const user = entity;
        if (!(user === null || user === void 0 ? void 0 : user.aclCtx)) {
            user.aclCtx = new acl_ctx_model_1.AclCtx();
            user.aclCtx.rights.read = true;
            // TODO: check admin and registered objects during boot for CRUD
        }
        // TODO: remove subTypes for non admin;
    }
    async authorizeRead(ctx, context) {
        // TODO: check admin
        return authorization_1.AuthorizationDecision.ALLOW;
    }
    async authorizeCreate(ctx, context) {
        // TODO: allow for admin ?
        return authorization_1.AuthorizationDecision.DENY;
    }
    async authorizeUpdate(ctx, context) {
        // TODO: allow for admin for non registered objects during boot for CRUD?
        return authorization_1.AuthorizationDecision.DENY;
    }
    async authorizeDelete(ctx, context) {
        // TODO: allow for admin for non registered objects during boot for CRUD?
        return authorization_1.AuthorizationDecision.DENY;
    }
};
AccessRightTypeService = tslib_1.__decorate([
    core_1.injectable({ scope: core_1.BindingScope.SINGLETON }),
    tslib_1.__param(0, core_1.service(access_rights_service_1.AccessRightsService)),
    tslib_1.__metadata("design:paramtypes", [access_rights_service_1.AccessRightsService])
], AccessRightTypeService);
exports.AccessRightTypeService = AccessRightTypeService;
//# sourceMappingURL=access-rights-type.service.js.map