import { IJsonSchema } from '@jacquesparis/objects-model';
import { Entity } from '@loopback/repository';
export interface EntityWithContent {
    id?: string;
    content?: any;
    entityName?: string;
    [contentFieldName: string]: any;
}
export interface ContentEntityServiceInterface {
    getContentDefinition(): Promise<IJsonSchema>;
    getContent(entity: EntityWithContent, fieldName: string, args: {
        contentId?: string;
    }): Promise<{
        filePath: string;
        fileName: string;
    } | any>;
    manageContent(entity: EntityWithContent, postedEntity: EntityWithContent): Promise<boolean>;
    addTransientContent(entity: EntityWithContent): Promise<void>;
}
export declare class ContentEntityService {
    getContentDefinition(contentType: string | undefined): Promise<IJsonSchema>;
    hasContentManager(contentType: string | undefined): boolean | "" | undefined;
    protected contentTypes: {
        [contentType: string]: ContentEntityServiceInterface;
    };
    constructor();
    registerNewContentType(contentType: string, service: ContentEntityServiceInterface): void;
    manageContent(contentType: string | undefined, entity: Entity, postedEntity: Entity): Promise<boolean>;
    addTransientContent(contentType: string | undefined, entity: Entity): Promise<void>;
    getContent(contentType: string | undefined, entity: Entity, fieldName: string, args: {
        contentId?: string;
    }): any;
}
