import { IJsonSchema } from '@jacquesparis/objects-model';
import { ContentTextRepository } from './../repositories/content-text.repository';
import { ContentEntityService, ContentEntityServiceInterface, EntityWithContent } from './content-entity.service';
export declare class ContentTextService implements ContentEntityServiceInterface {
    contentEntityService: ContentEntityService;
    contentTextRepository: ContentTextRepository;
    constructor(contentEntityService: ContentEntityService, contentTextRepository: ContentTextRepository);
    getContentDefinition(): Promise<IJsonSchema>;
    manageContent(entity: EntityWithContent, postedEntity: EntityWithContent, fieldName?: string): Promise<boolean>;
    getContent(entity: EntityWithContent, fieldName: string | undefined, args: {
        contentId: string;
    }): Promise<string>;
    addTransientContent(entity: EntityWithContent, fieldName?: string): Promise<void>;
}
