import { IJsonSchema } from '@jacquesparis/objects-model';
import { UserRepository } from '@loopback/authentication-jwt';
import { ContentEntityService, ContentEntityServiceInterface, EntityWithContent } from './content-entity.service';
export declare class ContentUserService implements ContentEntityServiceInterface {
    contentEntityService: ContentEntityService;
    userRepository: UserRepository;
    constructor(contentEntityService: ContentEntityService, userRepository: UserRepository);
    getContentDefinition(): Promise<IJsonSchema>;
    manageContent(entity: EntityWithContent, postedEntity: EntityWithContent, fieldName?: string): Promise<boolean>;
    getContent(entity: EntityWithContent, fieldName: string | undefined, args: {
        contentId: string;
    }): Promise<string>;
    addTransientContent(entity: EntityWithContent, fieldName?: string): Promise<void>;
}
