import { DataObject, FilterExcludingWhere, Options } from '@loopback/repository';
import { ObjectSubType } from '../models';
import { ObjectTypeRepository } from '../repositories';
import { ObjectType, ObjectTypeRelations } from './../models/object-type.model';
import { ObjectSubTypeRepository } from './../repositories/object-sub-type.repository';
import { ApplicationService, CurrentContext } from './application.service';
import { ContentEntityService } from './content-entity.service';
export declare class ObjectTypeService {
    private objectTypeRepository;
    private objectSubTypeRepository;
    private contentEntityService;
    private appCtx;
    constructor(objectTypeRepository: ObjectTypeRepository, objectSubTypeRepository: ObjectSubTypeRepository, contentEntityService: ContentEntityService, appCtx: ApplicationService);
    add(objectType: DataObject<ObjectType>, ctx: CurrentContext): Promise<ObjectType>;
    searchByName(name: string): Promise<ObjectType>;
    private get filterOrder();
    private get filterFields();
    private get filterInclude();
    searchById(id: string, filter?: FilterExcludingWhere<ObjectType>, options?: Options): Promise<ObjectType & ObjectTypeRelations>;
    search(ctx: CurrentContext): Promise<(ObjectType & ObjectTypeRelations)[]>;
    getAll(ctx: CurrentContext): Promise<{
        [id: string]: ObjectType;
    }>;
    removeById(id: string, ctx: CurrentContext): Promise<void>;
    modifyById(id: string, objectType: DataObject<ObjectType>, ctx: CurrentContext): Promise<ObjectType>;
    createSubType(id: string, objectSubType: DataObject<ObjectSubType>): Promise<ObjectSubType>;
    modifySubTypeById(objectTypeId: string, id: string, objectSubType: DataObject<ObjectSubType>): Promise<ObjectSubType>;
    removeSubTypeById(objectTypeId: string, id: string): Promise<import("@loopback/repository").Count>;
    getOrCreateObjectSubType(objectTypeId: string, subObjectTypeId: string, defaultValue?: {
        name: string;
        acl: boolean;
        owner: boolean;
        namespace: boolean;
        tree: boolean;
        min?: number;
        max?: number;
        exclusions?: string[];
        mandatories?: string[];
    }): Promise<ObjectSubType>;
}
